net.sf.jasperreports.engine.export

## Interface JRHtmlExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration, HtmlExporterConfiguration

  Deprecated.
  To be removed.

      public interface JRHtmlExporterConfiguration
      extends HtmlExporterConfiguration

  Version:
    $Id: JRHtmlExporterConfiguration.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_USING_IMAGES_TO_ALIGN` Deprecated. Property whose value is used as default state of the `isUsingImagesToAlign()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.HtmlExporterConfiguration

      `PROPERTY_BETWEEN_PAGES_HTML, PROPERTY_FLUSH_OUTPUT, PROPERTY_HTML_FOOTER, PROPERTY_HTML_HEADER`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isUsingImagesToAlign()` Deprecated. Returns a boolean value specifying whether the export engine should use small images for aligning.

    - ### Methods inherited from interface net.sf.jasperreports.export.HtmlExporterConfiguration

      `getBetweenPagesHtml, getHtmlFooter, getHtmlHeader, isFlushOutput`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_USING_IMAGES_TO_ALIGN

          static final java.lang.String PROPERTY_USING_IMAGES_TO_ALIGN

      Deprecated.
      Property whose value is used as default state of the `isUsingImagesToAlign()` export configuration flag.

      This property is set by default (`true`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isUsingImagesToAlign

          java.lang.Boolean isUsingImagesToAlign()

      Deprecated.
      Returns a boolean value specifying whether the export engine should use small images for aligning. This is useful when you don't have images in your report anyway and you don't want to have to handle images at all.
      See Also:
        `PROPERTY_USING_IMAGES_TO_ALIGN`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com